package com.example.acapendulum20.fragments.pendulum

import android.content.Context
import android.graphics.*
import android.graphics.drawable.Drawable
import android.os.Bundle
import android.util.AttributeSet
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ImageView
import androidx.core.content.res.ResourcesCompat
import androidx.fragment.app.Fragment
import androidx.lifecycle.ViewModelProvider
import androidx.navigation.fragment.findNavController
import com.example.acapendulum20.R
import com.example.acapendulum20.canvas.CanvasView
import com.example.acapendulum20.viewmodel.UserViewmodel
import kotlinx.android.synthetic.main.fragment_pendulum.*
import kotlinx.android.synthetic.main.fragment_pendulum.view.*
import kotlinx.android.synthetic.main.fragment_update.view.*


class PendulumFragment : Fragment() {

    private lateinit var mCanvasView: CanvasView

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        // Inflate the layout for this fragment
        val view = inflater.inflate(R.layout.fragment_pendulum, container, false)

        //activate the magnet
        view.activate_btn.setOnClickListener{
            mCanvasView.drawBob()
        }

        return view
    }
}
